DRM_DP_MST_TOPOLOGY_(9)

NAME
drm_dp_mst_topology_mgr_set_mst - Set the MST state for a topology manager

SYNOPSIS

int drm_dp_mst_topology_mgr_set_mst(struct drm_dp_mst_topology_mgr * mgr, bool mst_state);

ARGUMENTS

mgr
    manager to set state for

mst_state
    true to enable MST on this connector - false to disable.

DESCRIPTION

This is called by the driver when it detects an MST capable device plugged into a DP MST capable port, or when a DP MST capable device is unplugged.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT